Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class WebDescriptor

    java.lang.Object
      org.eclipse.jetty.webapp.Descriptor
          org.eclipse.jetty.webapp.WebDescriptor

Direct Known Subclasses:
  DefaultsDescriptor, FragmentDescriptor, OverrideDescriptor

    public class WebDescriptor

extends Descriptor

Descriptor A web descriptor (web.xml/web-defaults.xml/web-overrides.xml).

Nested Class Summary
`static class` | `WebDescriptor.MetaDataComplete`

Field Summary
`protected java.util.ArrayList<java.lang.String>` | `_classNames`
`protected boolean` | `_distributable`
`protected boolean` | `_isOrdered`
`protected int` | `_majorVersion`
`protected WebDescriptor.MetaDataComplete` | `_metaDataComplete`
`protected int` | `_minorVersion`
`protected java.util.List<java.lang.String>` | `_ordering`
`protected static XmlParser` | `_parserSingleton`

Fields inherited from class org.eclipse.jetty.webapp.Descriptor
`_parser, _root, _validating, _xml`

Constructor Summary
`WebDescriptor(Resource xml)`

Method Summary
`void` | `addClassName(java.lang.String className)`
`void` | `ensureParser()`
`java.util.ArrayList<java.lang.String>` | `getClassNames()`
`int` | `getMajorVersion()`
`WebDescriptor.MetaDataComplete` | `getMetaDataComplete()`
`int` | `getMinorVersion()`
`java.util.List<java.lang.String>` | `getOrdering()`
`boolean` | `isDistributable()`
`boolean` | `isOrdered()`
`XmlParser` | `newParser()`
`void` | `parse()`
`void` | `processOrdering()`
`void` | `processVersion()`
`void` | `setDistributable(boolean distributable)`
`void` | `setValidating(boolean validating)`

Methods inherited from class org.eclipse.jetty.webapp.Descriptor
`getResource, getRoot, redirect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _parserSingleton

    protected static XmlParser _parserSingleton

### _metaDataComplete

    protected WebDescriptor.MetaDataComplete _metaDataComplete

### _majorVersion

    protected int _majorVersion

### _minorVersion

    protected int _minorVersion

### _classNames

    protected java.util.ArrayList<java.lang.String> _classNames

### _distributable

    protected boolean _distributable

### _isOrdered

    protected boolean _isOrdered

### _ordering

    protected java.util.List<java.lang.String> _ordering

Constructor Detail

### WebDescriptor

    public WebDescriptor(Resource xml)

Method Detail

### ensureParser

    public void ensureParser()
                      throws java.lang.ClassNotFoundException

  Specified by:
    `ensureParser` in class `Descriptor`
  Throws:
    `java.lang.ClassNotFoundException`

### newParser

    public XmlParser newParser()
                        throws java.lang.ClassNotFoundException

  Specified by:
    `newParser` in class `Descriptor`
  Throws:
    `java.lang.ClassNotFoundException`

### parse

    public void parse()
               throws java.lang.Exception

  Overrides:
    `parse` in class `Descriptor`
  Throws:
    `java.lang.Exception`

### getMetaDataComplete

    public WebDescriptor.MetaDataComplete getMetaDataComplete()

### getMajorVersion

    public int getMajorVersion()

### getMinorVersion

    public int getMinorVersion()

### processVersion

    public void processVersion()

### processOrdering

    public void processOrdering()

### addClassName

    public void addClassName(java.lang.String className)

### getClassNames

    public java.util.ArrayList<java.lang.String> getClassNames()

### setDistributable

    public void setDistributable(boolean distributable)

### isDistributable

    public boolean isDistributable()

### setValidating

    public void setValidating(boolean validating)

  Overrides:
    `setValidating` in class `Descriptor`

### isOrdered

    public boolean isOrdered()

### getOrdering

    public java.util.List<java.lang.String> getOrdering()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.